Game Develop Core: gd::EmptyEvent Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
List of all members
gd::EmptyEvent Class Reference

Empty event doing nothing. More...

`#include <Event.h>`

Inheritance diagram for gd::EmptyEvent:
[legend]

## Additional Inherited Members

Public Types inherited from gd::BaseEvent
enum | EditEventReturnType { ChangesMade, Cancelled, ChangesMadeButNoNeedForEventsRecompilation }
Public Member Functions inherited from gd::BaseEvent
virtual gd::BaseEventSPtr | Clone () const
virtual bool | IsExecutable () const
virtual bool | CanHaveSubEvents () const
virtual const std::vector < gd::BaseEventSPtr > & | GetSubEvents () const
virtual std::vector < gd::BaseEventSPtr > & | GetSubEvents ()
bool | HasSubEvents () const
| Return true if the events has sub events. More...
virtual std::vector < std::vector< Instruction > * > | GetAllConditionsVectors ()
virtual std::vector < std::vector< Instruction > * > | GetAllActionsVectors ()
virtual std::vector < gd::Expression * > | GetAllExpressions ()
virtual std::string | GenerateEventCode (gd::EventsCodeGenerator &codeGenerator, gd::EventsCodeGenerationContext &context)
| Generate the code event : the platform provided by codeGenerator is asked for the EventMetadata associated to the event, which is then used to generate the code event ( gd::EventMetadata::codeGeneration member ) More...
virtual void | Preprocess (gd::EventsCodeGenerator &codeGenerator, std::vector< gd::BaseEventSPtr > &eventList, unsigned int indexOfTheEventInThisList)
virtual bool | MustBePreprocessed ()
| If MustBePreprocessed is redefined to return true, the gd::EventMetadata::codeGeneration associated to the event will be called to preprocess the event. More...
virtual void | SaveToXml (TiXmlElement *eventElem) const
virtual void | LoadFromXml (gd::Project &project, const TiXmlElement *eventElem)
std::string | GetType () const
void | SetType (std::string type_)
void | SetDisabled (bool disable=true)
bool | IsDisabled () const
virtual void | Render (wxDC &dc, int x, int y, unsigned int width, gd::EventsEditorItemsAreas &areas, gd::EventsEditorSelection &selection, const gd::Platform &platform)
virtual unsigned int | GetRenderedHeight (unsigned int width, const gd::Platform &platform) const
virtual EditEventReturnType | EditEvent (wxWindow *parent_, gd::Project &game_, gd::Layout &scene_, gd::MainFrameWrapper &mainFrameWrapper_)
Public Attributes inherited from gd::BaseEvent
bool | folded
| Here as it must be saved. Used by events editor.
bool | eventHeightNeedUpdate
| Automatically set to true/false by the events editor.
boost::weak_ptr< gd::BaseEvent > | originalEvent
| Pointer only used for profiling events, so as to remember the original event from which it has been copied.
signed long long | totalTimeDuringLastSession
| Total time, in microseconds, used by the event during the last run. Used for profiling.
float | percentDuringLastSession
| Total time used by the event during the last run. Used for profiling.
Protected Attributes inherited from gd::BaseEvent
unsigned int | renderedHeight

## Detailed Description

Empty event doing nothing.

See Also
  gd::BaseEvent

The documentation for this class was generated from the following file:

- Event.h